レジデンシャルプロキシ API
レジデンシャルプロキシ製品はゲートウェイのユーザー名を介してリクエストごとに設定されます。アカウント単位の「管理」APIは存在しません。このAPIが提供するのは、ユーザー名に組み込めるジオセレクターを列挙する手段(country、region、city、asn)であり、実際に利用可能な内容とツールを同期させることができます。
すべてのエンドポイントは api_key クエリパラメータで認証します。パネルの Account → API Keys でキーを生成してください。
?api_key=YOUR_API_KEY国の一覧取得
Section titled “国の一覧取得” GET https://shifter.io/api/v1/residential/geo/countries
レジデンシャルプロキシゲートウェイで country-<iso2> ターゲティングに利用可能なすべての国を返します。
| パラメータ | 場所 | 必須 | 説明 |
|---|---|---|---|
api_key | query | yes | APIキー |
例:
curl "https://shifter.io/api/v1/residential/geo/countries?api_key=YOUR_API_KEY"レスポンス:
[ { "code": "us", "name": "United States" }, { "code": "de", "name": "Germany" }, { "code": "gb", "name": "United Kingdom" }, { "code": "fr", "name": "France" }]地域の一覧取得
Section titled “地域の一覧取得” GET https://shifter.io/api/v1/residential/geo/regions
指定した国内で region-<slug> ターゲティングに利用可能な地域(州/県)を返します。
| パラメータ | 場所 | 必須 | 説明 |
|---|---|---|---|
api_key | query | yes | APIキー |
country | query | yes | ISO 3166-1 alpha-2 国コード(例: us) |
例:
curl "https://shifter.io/api/v1/residential/geo/regions?country=us&api_key=YOUR_API_KEY"レスポンス:
[ { "slug": "california", "name": "California" }, { "slug": "new_york", "name": "New York" }, { "slug": "texas", "name": "Texas" }]都市の一覧取得
Section titled “都市の一覧取得” GET https://shifter.io/api/v1/residential/geo/cities
国内(および必要に応じて地域内)で city-<slug> ターゲティングに利用可能な都市を返します。
| パラメータ | 場所 | 必須 | 説明 |
|---|---|---|---|
api_key | query | yes | APIキー |
country | query | yes | ISO 3166-1 alpha-2 国コード |
region | query | no | 結果を絞り込むための地域スラッグ |
例:
curl "https://shifter.io/api/v1/residential/geo/cities?country=us®ion=california&api_key=YOUR_API_KEY"レスポンス:
[ { "slug": "los_angeles", "name": "Los Angeles" }, { "slug": "san_francisco", "name": "San Francisco" }, { "slug": "san_diego", "name": "San Diego" }]ASNの一覧取得
Section titled “ASNの一覧取得” GET https://shifter.io/api/v1/residential/geo/asns
国内で asn-<num> ターゲティングに利用可能なASNを返します。
| パラメータ | 場所 | 必須 | 説明 |
|---|---|---|---|
api_key | query | yes | APIキー |
country | query | yes | ISO 3166-1 alpha-2 国コード |
例:
curl "https://shifter.io/api/v1/residential/geo/asns?country=us&api_key=YOUR_API_KEY"レスポンス:
[ { "asn": 7922, "name": "Comcast" }, { "asn": 701, "name": "Verizon" }, { "asn": 22773, "name": "Cox Communications" }]- レジデンシャルプロキシの概要
- ジオターゲティング — これらのセレクターをユーザー名に組み込む方法
- 認証 — プロキシ認証と管理API認証の違い